summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:54 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:54 +0200
commit70911799acb6e536a65f0013830cfe41277923ce (patch)
tree07e9b8c3b6e241db0527866428c4d0d17e7ec228
parentd418cfdc69338b8ec698f4fe856ae662664447c8 (diff)
downloadslackbuilds-70911799acb6e536a65f0013830cfe41277923ce.tar.gz
slackbuilds-70911799acb6e536a65f0013830cfe41277923ce.tar.xz
audio/rosegarden: Moved from multimedia
-rw-r--r--audio/rosegarden/README (renamed from multimedia/rosegarden/README)1
-rw-r--r--audio/rosegarden/doinst.sh11
-rw-r--r--audio/rosegarden/rosegarden.SlackBuild (renamed from multimedia/rosegarden/rosegarden.SlackBuild)20
-rw-r--r--audio/rosegarden/rosegarden.info (renamed from multimedia/rosegarden/rosegarden.info)10
-rw-r--r--audio/rosegarden/slack-desc (renamed from multimedia/rosegarden/slack-desc)9
-rw-r--r--multimedia/rosegarden/doinst.sh11
6 files changed, 37 insertions, 25 deletions
diff --git a/multimedia/rosegarden/README b/audio/rosegarden/README
index c96e4878b4..74792035e2 100644
--- a/multimedia/rosegarden/README
+++ b/audio/rosegarden/README
@@ -8,4 +8,5 @@ dependency, but testing here indicates that it must also be installed.
liblo, liblrdf, and ladspa are optional dependencies; they will be used
if they are available at build time. LIRC is another optional dependency;
if you want lirc-support, you will have to pass LIRC=yes to the script.
+Further rosegarden makes use of xml-twig and lilypond at runtime.
All dependencies (required and optional) are available at SlackBuilds.org.
diff --git a/audio/rosegarden/doinst.sh b/audio/rosegarden/doinst.sh
new file mode 100644
index 0000000000..6225a2b4a4
--- /dev/null
+++ b/audio/rosegarden/doinst.sh
@@ -0,0 +1,11 @@
+
+( if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+ fi
+)
+
+( if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+ fi
+)
+
diff --git a/multimedia/rosegarden/rosegarden.SlackBuild b/audio/rosegarden/rosegarden.SlackBuild
index 75cdd92878..29335bcf08 100644
--- a/multimedia/rosegarden/rosegarden.SlackBuild
+++ b/audio/rosegarden/rosegarden.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for rosegarden
-# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2007-2008 Heinz Wiesinger <pprkut@liwjatan.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,9 +26,9 @@
# No additional license terms :-)
PRGNAM=rosegarden
-VERSION=1.6.1
+VERSION=1.7.2
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -44,6 +44,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
if [ "$LIRC" = 'yes' ]; then
@@ -61,7 +63,11 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
cmake \
-DCMAKE_C_FLAGS="$SLKCFLAGS" \
@@ -72,10 +78,8 @@ cmake \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING INSTALL README TRANSLATORS $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/multimedia/rosegarden/rosegarden.info b/audio/rosegarden/rosegarden.info
index 19b0959a21..4de5368a67 100644
--- a/multimedia/rosegarden/rosegarden.info
+++ b/audio/rosegarden/rosegarden.info
@@ -1,8 +1,8 @@
PRGNAM="rosegarden"
-VERSION="1.6.1"
+VERSION="1.7.2"
HOMEPAGE="http://www.rosegardenmusic.com"
-DOWNLOAD="http://downloads.sourceforge.net/rosegarden/rosegarden-1.6.1.tar.bz2"
-MD5SUM="60efd0d0afcb3632d8188ef25082bcf9"
+DOWNLOAD="http://downloads.sourceforge.net/rosegarden/rosegarden-1.7.2.tar.bz2"
+MD5SUM="5cf0ea60cfcd46ddbc931863c08af65a"
MAINTAINER="ppr:kut"
-EMAIL="HMWiesinger@gmx.at"
-APPROVED="rworkman"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/multimedia/rosegarden/slack-desc b/audio/rosegarden/slack-desc
index 9e615b6e49..b31dbbf01d 100644
--- a/multimedia/rosegarden/slack-desc
+++ b/audio/rosegarden/slack-desc
@@ -1,4 +1,11 @@
- |-----handy-ruler------------------------------------------------|
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
rosegarden: rosegarden (Midi / Audio / Notation-Editor)
rosegarden:
rosegarden: Rosegarden is an attractive, user-friendly MIDI and audio
diff --git a/multimedia/rosegarden/doinst.sh b/multimedia/rosegarden/doinst.sh
deleted file mode 100644
index d93a90ac70..0000000000
--- a/multimedia/rosegarden/doinst.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-
-( if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database -q usr/share/applications
- fi
-)
-
-( if [ -x usr/bin/update-mime-database ]; then
- usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
- fi
-)
-